#ifndef _HILF_H_
#define _HILF_H_

// Hilfsprogramme 
#include <iostream>
using namespace std;
#include <cstdlib>

// Tausch zweier Zahlen
void Change (double *x1,double *x2)
{ double z;
  z=*x1;
  *x1=*x2;
  *x2=z;
}

// Ausgabe eines Vektors 
void ausgabe(double* x, long int n)
{
  long int i;
   for (i=0;i<n;i++)
    {
      cout << x[i] <<" ";
    }
   cout <<" "<< endl;
}

// Ausgabe eines Vektors in float
void ausgabefloat(float* x, int n)
{
  int i;
   for (i=0;i<n;++i)
    {
      cout << x[i] <<" ";
    }
   cout <<" "<< endl;
}

// Ausgabe eines Vektors in integer
void ausgabeint(int* x, int n)
{
  int i;
   for (i=0;i<n;++i)
    {
      cout << x[i] <<" ";
    }
   cout <<" "<< endl;
}

// Ausgabe eines Vektors in long-integer
void ausgabelint(long int* x, int n)
{
  int i;
   for (i=0;i<n;++i)
    {
      cout << i << " " << x[i] <<" " << endl;;
    }
   cout <<" "<< endl;
}

// Generierung von n Zufallszahlen
void zufall(double* x,int n)
{
  int i;
  for (i=0;i<n;++i) 
    { 
      x[i]=drand48();
    }
}  

// Bestimme Maximum eines Vektors und passenden Index
void vdmax (double *x,int n,double *amax,int *j)
{
int i;
double z;
 z=x[0];
  *j=0;
  for (i=1;i<n;++i)
    {
      if (x[i]>z) {
        z=x[i];
	*j=i; 
      }
    }
  *amax=z;
}

// Bestimme Minimum eines Vektors und passenden Index
void vdmin (double *x,int n,double *amin,int *j)
{
int i;
double z;
 z=x[0];
  *j=0;
  for (i=1;i<n;++i)
    {
      if (x[i]<z) {
        z=x[i];
	*j=i; 
      }
    }
  *amin=z;
}

#endif
